/**
 * P4
 * http://snarfed.org/space/p4
 *
 * Copyright 2001-2004
 * Ken Ashcraft <kashcraft+p4@gmail.com>
 * Ryan Barrett <p4@ryanb.org>
 * Maulik Shah <p4@maulik.net>
 * Nathan Stoll <nathanstoll+p4@gmail.com>
 *
 * @file p4error.cpp
 *
 * Implements the p4_perror and p4_abort functions. For more information, see
 * error.h.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */


#include "p4error.h"

#include <iostream>
#include <stdlib.h>


// TODO: implement me!
void p4_perror(uint error, const string &str)
{
  cout << str << ": ";

  switch (error) {
  case kerr_success: cout << "Success";
  default:           cout << "Unknown error";
  }

  cout << endl;
}


void p4_abort(uint error)
{
  p4_perror(error, "Internal error");
  exit(-1);
}
